dcl_settings : default_dcl_settings { audit_level = 1; }



///////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////
GKN_ARRTIB_CHANGE_IN_LAYOUT : dialog {
	label = "GekOn - Change Attributes in Layouts";

 	: row {
 	fixed_width = true;
		: image {
			key = "image" ;				
			height = 2.0 ;			
			width = 1.0 ;			
		}					
		: column {
			: text {
				label = " ";
				key = "dclTitle_1";
				width = 56 ;
			}//text
			: text {
				label = " ";
				key = "dclTitle_2";
			}//text
			
		}//column
	}//row

	: spacer { height = 1; }

   : boxed_column {		   
	 label = "Choose layouts with blocks for modification";

		: column {
		  fixed_width = true;
 
			: row {
			  children_alignment = top;
				
				: column {
				  fixed_height = true;
				  
					: text {
						label = "Layouts in drawing:";
					}//text
				   
					: list_box {
						key = "arkInDwgLstBox";
						multiple_select = true;
						height = 13;
						width = 20;
					}	

					: text {
						key = "liczarkInDwgLstBox";
						label = "Layouts: 0";
					}//text
			   } //column


			   : column {
				 fixed_height = true;
					: spacer { height = 1;}

					: GKN_BUTTON {
					   label = ">";
					   key = "addArkToPlotLst";
					   is_enabled = false;
					}//BTN
					
					: GKN_BUTTON {
					   label = ">>";
					   key = "addAllArkToPlotLst";
					}//BTN
					
					: spacer { height = 1;}
					
					: GKN_BUTTON {
					   label = "<";
					   key = "delArkFromPlotLst";
					   is_enabled = false;
					}//BTN
					: GKN_BUTTON {
					   label = "<<";
					   key = "delAllArkFromPlotLst";
					}//BTN

					: spacer { height = 1;}							
					
			   }// column

				: column {
				  fixed_height = true;
				  
					: text {
						label = "Layouts to change:";
					}//text
				
					: list_box {
						key = "arkToPlotLstBox";
						multiple_select = true;
						height = 13;
						width = 20;
					}	

					: text {
						key = "liczarkToPlotLstBox";
						label = "Layouts: 0";
					}//text
			   } //column
			   
		   }//row
	   }// column

   }//b_column



	: column {
		: row {
		fixed_width = true;
		children_alignment = top;
			: image {
				key = "errImage" ;				
				height = 2.0 ;			
				width = 2.0 ;
				color = -15;
			}
		
			: text {
				key = "errLine1";
				label = "";
				width = 50;
			}//text

		}//row

		: row {
		//fixed_width = true;
		
			: GKN_BUTTON {   
			   label = "RESET";
			   key = "reset";
			   width = 12;
			}//BTN

			: spacer { width = 14; }

			: GKN_BUTTON {   
			   label = "CANCEL";
			   key = "CANCEL";
			   is_cancel = true;
			   width = 12;
			}//BTN

			//: spacer { width = 2; }

			: GKN_BUTTON {   
			   label = "EXECUTE";
			   key = "OK";
			   width = 12;
			   is_enabled = false;	  
			}//BTN	
		}//row
		
	}//column
}//dialog






///////////////////////////////////////////////////////////////////////////////////
GKN_INSERTLEN : dialog {
 label = "GekOn - Tools";
 	: row {
 	fixed_width = true;
		: image {
			key = "image" ;				
			height = 2.0 ;			
			width = 1.0 ;			
		}					
		: column {
			: text {
				label = " ";
				key = "dclTitle_1";
				width = 55 ;
			}//text
			: text {
				label = " ";
				key = "dclTitle_2";
			}//text
			
		}//column
	}//row

	: spacer { height = 1; }
	
	: row {
	children_alignment = top;
	//fixed_width = true;
		: boxed_column {
		  label = "Route";
			: row {
			  fixed_width = true;
			       : text {
					value = "Layer:";
					width = 9;
			       }//text
			       : text {
					label = "[NONE]";
					key = "routeLayName";
					width = 20;
			       }//text
			}//row
			: GKN_BUTTON {
				label = "Select";
				key = "choseRouteLayBtn";
			}//BTN
		}//b-collumn  

		: boxed_column {
		  label = "Description Block";
			: row {
			  fixed_width = true;
			       : text {
					value = "Name:";
					width = 8;
			       }//text
			       : text {
					label = "[NONE]";
					key = "opisBlkName";
					width = 20;
			       }//text
			}//row
			: row {
			  fixed_width = true;
			       : text {
					value = "Attrib:";
					width = 8;
			       }//text
			       : text {
					label = "[NONE]";
					key = "opisBlkAttName";
					width = 20;
			       }//text
			}//row
			: GKN_BUTTON {
				label = "Select";
				key = "choseRouteOpisBlkBtn";
			}//BTN
		}//b-collumn  
	}//row


	: boxed_row {
	  label = "Decription parameters";
	  children_alignment = top;
	  //fixed_width = true;		  	
		: column {
		       : text {
				label = "Prefix:";
		       }//text
			: edit_box {
				fixed_width = true;
				key = "addTxtBeforeBox";
				value = "L=[";
				width = 0;
			}//edit box
		       : text {
				label = "[ L=[ ]";
				key = "addTxtBeforeBoxLbl";
		       }//text	
		}//column

		: spacer { width = 1; }			
		
		: column {
		       : text {
				label = "Suffix:";
		       }//text
			: edit_box {
				fixed_width = true;
				key = "addTxtAfterBox";
				value = "]m";
				width = 0;
			}//edit box
		       : text {
				label = "[ ]m ]";
				key = "addTxtAfterBoxLbl";
		       }//text	
		}//column

		: spacer { width = 1; }			
		
		: column {		
		       : text {
				label = "Length multiplier:";
		       }//text
			: edit_box {
				fixed_width = true;
				key = "lenScaleBox";
				value = "1";
				width = 0;
			}//edit box
		       : text {
				label = "[1]";
				key = "lenScaleBoxLbl";
		       }//text	
		}//column

	}//b_row

	: boxed_row {
	  label = "Objects searching";

	  
		: boxed_column {
		  label = "Search help lines";
		  fixed_width = true;

			: toggle {
				label = "Show ROUTE search";
				key = "showRouteHlpLinTgl";
				mnemonic = "P";
				value = "1";
				width = 40;
			}//togglr

			: toggle {
				label = "Show DESCRIPTION BLOCKS search";
				key = "showBlockHlpLinTgl";
				mnemonic = "o";
				value = "1";
			}//togglr
			
			: spacer { height = 2.5; }
		  
		}//b_column  


		: boxed_column {
		  label = "Dynamic searching";
		  children_alignment = left;
		  //fixed_width = true;
			: row {
			  fixed_width = true;
			       : text {
					value = "ROUTE step:";
					key = "txt1";
					width = 12;
			       }//text	
				: edit_box {
					fixed_width = true;
					key = "dxRouteBox";
					value = "0.05";
					edit_width = 5;
				}//edit box
			       : text {
					value = "[0.05]";
					key = "dxRouteBoxLbl";
					width = 8;
			       }//text	
			}//row

			: row {
			  fixed_width = true;
			       : text {
					value = "BLOCK step:";
					key = "txt2";
					width = 12;
			       }//text	
				: edit_box {
					fixed_width = true;
					key = "dxBlkBox";
					value = "0.1";
					edit_width = 5;
				}//edit box
			       : text {
					value = "[0.1]";
					key = "dxBlkBoxLbl";
					width = 8;
			       }//text	
			}//row

			: row {
			  fixed_width = true;
			       : text {
					value = "Iteration:";
					key = "txt3";
					width = 12;
			       }//text	
				: edit_box {
					fixed_width = true;
					key = "dxIterCountBox";
					value = "5";
					edit_width = 5;
				}//edit box
			       : text {
					value = "[5]";
					key = "dxIterCountBoxLbl";
					width = 8;
			       }//text	
			}//row

		}//b_column  
	}//b_row



	

	: column {
		: row {
		fixed_width = true;
		children_alignment = top;
			: image {
				key = "errImage" ;				
				height = 2.0 ;			
				width = 1.0 ;
				color = -15;
			}
		
			: text {
				key = "errLine1";
				label = "";
				width = 70;
			}//text

		}//row

		: row {
		fixed_width = true;
			: GKN_BUTTON {   
			   label = "RESET";
			   key = "reset";
			}//BTN

			: spacer { width = 37; }

			: GKN_BUTTON {   
			   label = "CANCEL";
			   key = "CANCEL";
			   is_cancel = true;
			}//BTN

			: spacer { width = 3; }

			: GKN_BUTTON {   
			   label = "EXECUTE";
			   key = "OK";
			   is_enabled = false;	  
			}//BTN	
		}//row
	}//column
	
}//dialog



///////////////////////////////////////////////////////////////////////////////////
GKN_CONFIG : dialog {
 label = "GekOn - Configuration";
 	: row {
 	fixed_width = true;
		: image {
			key = "image" ;				
			height = 2.0 ;			
			width = 1.0 ;			
		}					
		: column {
			: text {
				label = " ";
				key = "dclTitle_1";
				width = 55 ;
			}//text
			: text {
				label = " ";
				key = "dclTitle_2";
			}//text
			
		}//column
	}//row

	: spacer { height = 1; }	

	: boxed_column {
	  label = "GekOn's Output directory";
	  children_alignment = left;

		: row {
		  fixed_width = true;
			: text {
				value = "Path:";
				width = 10;
			}//text
			: text {
				value = "??";
				key = "outGknFldrVal";
				width = 60;
			}//text
		
		}//row

		: GKN_BUTTON {
			label = "CHANGE";
			key = "choseOutGknFldrBtn";
		}//BTN

	}//b_col


	: boxed_column {
	  label = "Drawing parameters [OSRESTORE]";
	  children_alignment = left;

	  	: row {
	  	  fixed_width = true;
	  	  
			: text {
				value = "OSMODE:";
				width = 9;
			}//text
			: edit_box {
				fixed_width = true;
				key = "osmodeBox";
				value = "x";
				edit_width = 6;
				is_enabled = false;
			}//edit box

			: spacer { width = 2; }

			: text {
				value = "AUTOSNAP:";
				width = 11;
			}//text
			: edit_box {
				fixed_width = true;
				key = "asnapBox";
				value = "y";
				edit_width = 6;
				is_enabled = false;
			}//edit box

			: spacer { width = 2; }

			: text {
				value = "POLARMODE:";
				width = 12;
			}//text
			: edit_box {
				fixed_width = true;
				key = "pmodeBox";
				value = "z";
				edit_width = 6;
				is_enabled = false;
			}//edit box
			
		}//row
		
		: GKN_BUTTON {
			label = "ACQUIRE CURRENT";
			key = "osCloneParmBtn";
		}//BTN
			

	}//b_col


	: row {

		: boxed_row {
		  label = "GekOn's Language";
			: row {
			  fixed_width = true;
			  
				: text {
					value = "Choose language:";
					width = 17;
				}//text
				: popup_list {
					fixed_width = true;
					key = "langPopupLst";
					height = 3;
					edit_width = 5;
				}//popup_list

			}//row

		}//b_row	
	
	
		: boxed_row {
		  label = "PDF print parameters";
			: row {
			  fixed_width = true;
			  
				: text {
					value = "Margin [mm]:";
					width = 13;
				}//text
				
				   : column {
					fixed_width = true;
					  children_alignment = centered;
					  
					: edit_box {
						fixed_width = true;
						key = "UmarginValEditBox";						
						value = "0";
						edit_width = 2;
						width = 2;
					}//edit box
					
					: row {
						
					
						: edit_box {
							fixed_width = true;
							key = "LmarginValEditBox";						
							value = "0";
							edit_width = 2;
							width = 2;
						}//edit box

						: spacer {width = 1;}
						
						: edit_box {
							fixed_width = true;
							key = "RmarginValEditBox";						
							value = "0";
							edit_width = 2;
							width = 2;
						}//edit box

					}//row
					
					: edit_box {
						fixed_width = true;
						key = "BmarginValEditBox";						
						value = "0";
						edit_width = 2;
						width = 2;
					}//edit box
					
				   }//column

			}//row

		}//b_row
	
	}//row



	: boxed_column {
	  label = "Update";
		: row {
	  	  fixed_width = true;
		  
			: text {
				value = "Check every:";
				width = 13;
			}//text
			
			: popup_list {
				fixed_width = true;
				key = "updIntervalPopupLst";
				height = 3;
				edit_width = 7;
			}//popup_list		  
		  
			: spacer { width = 2; }
		  
			: GKN_BUTTON {   
			   label = "CHECK NOW";
			   key = "updCheckNowBtn";
			   width = 20;
			}//BTN

		}//row		
		
		: row {
	  	  fixed_width = true;
			: text {
				value = " ";
				key = "lastUpdateInfo";
				width = 43;
			}//text
		}//row			
		
	}//brow



	: boxed_row {
	  label = "Deinstallation";
		: row {
	  	  fixed_width = true;
		  
			: GKN_BUTTON {   
			   label = "UNINSTALL";
			   key = "uninstall";
			   width = 20;
			}//BTN

		}//row

	}//b_row	


	: column {
		: row {
		fixed_width = true;
		children_alignment = top;
			: image {
				key = "errImage" ;				
				height = 2.0 ;			
				width = 1.0 ;
				color = -15;
			}
		
			: text {
				key = "errLine1";
				label = "";
				width = 70;
			}//text

		}//row

		: row {
		fixed_width = true;
		alignment = right;
			: GKN_BUTTON {   
			   label = "CANCEL";
			   key = "CANCEL";
			   width = 17;
			   is_cancel = true;
			}//BTN

			: spacer { width = 3; }

			: GKN_BUTTON {   
			   label = "OK";
			   key = "OK";
			   width = 17;
			  // is_enabled = false;	  
			}//BTN	
		}//row
	}//column
	
	
}//dialog	




////////////////////////////////////////////////////////////////////////////////////////////
GKN_BUTTON
  : button {
    fixed_width = true; 
    width = 7;
    horizontal_margin = none;
  }